Summary: Terra Soft E17 Theme
Name: enlightenment-tss-theme
Version: 1.ydl5
Release: 1
License: TSS
Group: None
URL: http://www.terrasoftsolutions.com
Source0: e17-default-theme.tar.gz
Source1: tss-theme.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: enlightenment
Requires: enlightenment
BuildArch: noarch

%description
Terra Soft E17 Theme

%prep
%setup -q -n e17-default-theme
tar xzvf %{SOURCE1}

# Apply TSS patches
cp -av tss-theme/build.sh .
patch -p1 <tss-theme/background.diff
patch -p1 <tss-theme/theme_about.diff
#patch -p1 <tss-theme/ibar.diff

# Copy in TSS pics
cp -av tss-theme/*.png .
#cp -av tss-theme/dog-solo.png . # Default bg
#cp -av tss-theme/*about_sky*.png .
#cp -av tss-theme/e17_brushed.png .
#cp -av tss-theme/e17_button.png .
#cp -av tss-theme/e17_button_sm.png .
#cp -av tss-theme/e17_button_sm2.png .
#cp -av tss-theme/e17_clock_fg.png .
#cp -av tss-theme/e17_dialog_watermark.png .
#cp -av tss-theme/e17_ibar_handle*.png .
#cp -av tss-theme/e17_icon_configuration.png .
#cp -av tss-theme/e17_icon_desklock.png .
#cp -av tss-theme/e17_icon_e_*.png .
#cp -av tss-theme/e17_icon_favorites.png .
#cp -av tss-theme/e17_icon_halt.png .
#cp -av tss-theme/e17_icon_hibernate.png .
#cp -av tss-theme/e17_icon_logout.png .
#cp -av tss-theme/e17_icon_lost_windows.png .
#cp -av tss-theme/e17_icon_keys.png .
#cp -av tss-theme/e17_icon_module.png .
#cp -av tss-theme/e17_icon_reboot.png .
#cp -av tss-theme/e17_icon_suspend.png .
#cp -av tss-theme/e17_icon_transitions.png .
#cp -av tss-theme/e17_icon_window*.png .
#cp -av tss-theme/e17_icon_winlist*.png .
#cp -av tss-theme/e17_logo*.png .
#cp -av tss-theme/e17_menu_check.png .

%build
bash ./build.sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/themes
cp tss-theme.edj $RPM_BUILD_ROOT/usr/local/enlightenment/share/enlightenment/data/themes/default.edj

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
/usr/local/enlightenment/share/enlightenment/data/themes/default.edj

%changelog
* Thu Nov 16 2006 Tim Renner <trenner@terrasoftsolutions.com> - tss-init
- Initial build.

